Main Page Widgets Namespaces Book

# Gtk::Plug Class Reference

Inheritance diagram for Gtk::Plug:

[legend]

List of all members.

## Public Member Functions

bool | get_embedded () const
GdkNativeWindow | get_id () const
| Gets the window ID of a Gtk::Plug widget, which can then be used to embed this window inside another window, for instance with Gtk::Socket::add_id().
Glib::RefPtr<const Gdk::Window> | get_socket_window () const
Glib::RefPtr<Gdk::Window> | get_socket_window ()
const GtkPlug* | gobj () const
| Provides access to the underlying C GtkObject.
GtkPlug* | gobj ()
| Provides access to the underlying C GtkObject.
| Plug (const Glib::RefPtr<Gdk::Display>& display, GdkNativeWindow socket_id)
| Plug (GdkNativeWindow socket_id)
| Plug ()
Glib::PropertyProxy_ReadOnly <bool> | property_embedded () const
| Whether or not the plug is embedded.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gdk::Window>> | property_socket_window () const
| The window of the socket the plug is embedded in.
Glib::SignalProxy0<void> | signal_embedded ()
virtual | ~Plug ()

## Protected Member Functions

virtual void | on_embedded ()

## Related Functions

(Note that these are not member functions.)
Gtk::Plug* | wrap (GtkPlug* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Plug::~Plug | ( |  | ) | `[virtual]`

Gtk::Plug::Plug | ( |  | ) |

Gtk::Plug::Plug | ( | GdkNativeWindow | socket_id | ) | `[explicit]`

Gtk::Plug::Plug | ( | const Glib::RefPtr<Gdk::Display>& | display,
|  | GdkNativeWindow | socket_id |
| ) |  |  |

## Member Function Documentation

bool Gtk::Plug::get_embedded | ( |  | ) | const

GdkNativeWindow Gtk::Plug::get_id | ( |  | ) | const

Gets the window ID of a Gtk::Plug widget, which can then be used to embed this window inside another window, for instance with Gtk::Socket::add_id().

Returns:
  The window ID for the plug.

Glib::RefPtr<const Gdk::Window> Gtk::Plug::get_socket_window | ( |  | ) | const

Glib::RefPtr<Gdk::Window> Gtk::Plug::get_socket_window | ( |  | ) |

const GtkPlug* Gtk::Plug::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

GtkPlug* Gtk::Plug::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

virtual void Gtk::Plug::on_embedded | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<bool> Gtk::Plug::property_embedded | ( |  | ) | const

Whether or not the plug is embedded.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gdk::Window>> Gtk::Plug::property_socket_window | ( |  | ) | const

The window of the socket the plug is embedded in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gtk::Plug::signal_embedded | ( |  | ) |

Prototype:
  `void on_my_embedded()`

## Friends And Related Function Documentation

Gtk::Plug* wrap | ( | GtkPlug * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- plug.h